Adam, Phillipp, people,

Ok, I didn't install correctly. I found how to install a package here http://www.zope.org/Wikis/DevSite/Projects/ComponentArchitecture/Zope3Book/installpackages.html

and not here !

http://www.zope.org/Wikis/DevSite/Projects/ComponentArchitecture/Zope3Book/contentobject.html

I just had to put the folder in ZopeIstance/lib/python

I had tried indeed but didn't see the result. I had to wait for one night to pass in order to succeed. I was tired, maybe.

Now that is :

Microsoft Windows XP [Versione 5.1.2600]
(C) Copyright 1985-2001 Microsoft Corp.

C:\Documents and Settings\adriano>d:

D:\>cd ZopeIstanza

D:\ZopeIstanza>bin\test.bat -s book.messageboard
Running unit tests:
  Ran 28 tests with 0 failures and 0 errors in 0.234 seconds.

D:\ZopeIstanza>


BUT now the startup output gives me some warnings. Here they are (this is the step 1 of the book):


D:\ZopeIstanza>bin\runzope
d:\ZopeIstanza\lib\python\book\messageboard\configure.zcml:9: DeprecationWarning
: The 'content' alias for the 'class' directive has been deprecated and will be
removed in Zope 3.5.

  <content class=".messageboard.MessageBoard">
C:\Programmi\Python24\Lib\site-packages\zope\configuration\config.py:184: Deprec ationWarning: zope.app.annotation has moved to zope.annotation. Import of zope.a
pp.annotation will become unsupported in Zope 3.5
  mod = __import__(mname, *_import_chickens)
C:\Programmi\Python24\Lib\site-packages\zope\configuration\config.py:184: Deprec ationWarning: zope.app.annotation.interfaces has moved to zope.annotation.interf aces. Import of zope.app.annotation.interfaces will become unsupported in Zope 3
.5
  mod = __import__(mname, *_import_chickens)
C:\Programmi\Python24\Lib\site-packages\zope\configuration\fields.py:417: UserWa rning: You did not specify an i18n translation domain for the 'description' fiel
d in d:\ZopeIstanza\lib\python\book\messageboard\configure.zcml
  warnings.warn(
d:\ZopeIstanza\lib\python\book\messageboard\configure.zcml:35: DeprecationWarnin g: The 'content' alias for the 'class' directive has been deprecated and will be
 removed in Zope 3.5.

  <content class=".message.Message">
C:\Programmi\Python24\Lib\site-packages\zope\configuration\fields.py:417: UserWa rning: You did not specify an i18n translation domain for the 'label' field in d
:\ZopeIstanza\lib\python\book\messageboard\browser\configure.zcml
  warnings.warn(
C:\Programmi\Python24\Lib\site-packages\zope\configuration\fields.py:417: UserWa rning: You did not specify an i18n translation domain for the 'description' fiel
d in d:\ZopeIstanza\lib\python\book\messageboard\browser\configure.zcml
  warnings.warn(
C:\Programmi\Python24\Lib\site-packages\zope\configuration\fields.py:417: UserWa rning: You did not specify an i18n translation domain for the 'title' field in d
:\ZopeIstanza\lib\python\book\messageboard\browser\configure.zcml
  warnings.warn(
------
2006-08-27T21:52:58 INFO root -- HTTP:localhost:8080 Server started.
        Hostname: localhost
        Port: 8080
------
2006-08-27T21:52:58 INFO root Startup time: 9.828 sec real, 9.828 sec CPU


looks like the zcml file is a bit obsolete. I still can't fix it myself, but I surely can go on with the book now !

Thanks, people !

Bye
Catonano

At 09.58 27/08/2006, you wrote:
Hello Catonano,

As far as I remember, the book.messageboard is the sample app
developed in Stephan's book
(http://www.zope.org/Wikis/DevSite/Projects/ComponentArchitecture/FrontPage/Zope3Book)
I think there are instructions how to get and install the package.


_______________________________________________
Zope3-users mailing list
Zope3-users@zope.org
http://mail.zope.org/mailman/listinfo/zope3-users

Reply via email to